#
# spec file for package xine-ui (Version 0.99.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base aalib aalib-devel acl atk attr audit-libs autoconf automake bash binutils bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-libs curl-ca-bundle cvs cyrus-sasl desktop-translations diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz gpm grep groff gtk2 gzip hicolor-icon-theme info insserv keyutils-libs krb5 less libFLAC8 libacl libasound2 libattr libbz2-1 libbz2-devel libcom_err2 libcurl-devel libcurl4 libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libidn libidn-devel libjpeg liblcms libltdl-3 libmng libmudflap42 libnscd libogg libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbclient libspeex libstdc++42 libtheora0 libtiff3 libtool libuuid1 libvolume_id libvorbis libxcrypt libzio linux-kernel-headers lirc m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2-client openssl-certs pam pam-modules pango patch pcre perl perl-base permissions pkg-config popt readline-devel rpm sed sysvinit tar texinfo timezone udev update-desktop-files util-linux xine-devel xine-lib xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xine-ui
BuildRequires:  aalib-devel curl-devel libpng-devel lirc readline-devel update-desktop-files xine-devel xorg-x11-devel
Summary:        video player with plugins
Version:        0.99.5
Release:        62.1
License:        GPL v2 or later; Public Domain, Freeware
Group:          Productivity/Multimedia/Video/Players
Url:            http://xine.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       xine:/usr/bin/xine
Source:         xine-ui-%version.tar.gz
Source1:        xine-ui.png
Source2:        xine-ui-crippled.png
Source99:       baselibs.conf
# *** xine-lib: Bugfixes
Patch0:         xine-ui-various.diff
Patch1:         xine-ui-logopng.diff
Patch20:        xine-ui-broken-configure.diff
# *** SUSE only changes
Patch50:        xine-ui-crippled-LOCAL.diff
Patch60:        xine-ui-AUTOMAKE.diff

%description
Xine is a video player with a graphical front-end that supports a large
number of file formats (i.e., VCD, MPEG2) using plug-ins. Several
plug-ins are included. Others can be post-installed. Supports stereo
sound using OSS and AC5.1 using Alsa.

This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters

More information about Xine plug-ins can be found at
http://www.xinehq.de/



Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch20
%patch50
%patch60

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# ignore nonupdated automake+co files
rm -f missing ; touch missing
./configure \
	--prefix=%{_prefix} \
	--mandir=%_mandir \
	--libdir=%_libdir \
	--enable-vdr-keys
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_defaultdocdir}
mv $RPM_BUILD_ROOT/usr/share/doc/xine-ui $RPM_BUILD_ROOT%{_defaultdocdir}/xine-ui
mv $RPM_BUILD_ROOT/usr/share/doc/xitk $RPM_BUILD_ROOT%{_defaultdocdir}/xine-ui
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
rm $RPM_BUILD_ROOT/usr/share/xine/desktop/xine.desktop 
rmdir $RPM_BUILD_ROOT/usr/share/xine/desktop
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/usr/share/xine/skins/xine-ui_logo.png
rm -f $RPM_BUILD_ROOT/usr/share/xine/skins/xine-ui_logo.mpv
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/xine/skins/xine-ui_logo-crippled.png
%suse_update_desktop_file -i xine AudioVideo Player Video

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %_mandir/??
%dir %_mandir/??/man1
%doc %_mandir/*/man1/xine.1.gz
%doc %_mandir/*/man1/xine-check.1.gz
%doc %_mandir/*/man1/xine-remote.1.gz
%doc %_mandir/*/man1/aaxine*
%doc %_mandir/man1/aaxine*
%doc %_mandir/man1/xine.1.gz
%doc %_mandir/man1/xine-check.1.gz
%doc %_mandir/man1/xine-remote.1.gz
/usr/bin/aaxine
/usr/bin/fbxine
/usr/bin/xine
/usr/bin/xine-check
/usr/bin/xine-remote
%dir /usr/share/icons/hicolor
%dir /usr/share/icons/hicolor/*
%dir /usr/share/icons/hicolor/*/apps
/usr/share/icons/hicolor/*/apps/xine.png
%dir /usr/share/xine/skins
/usr/share/xine/skins/xine-ui_logo.png
/usr/share/xine/skins/xine-ui_logo-crippled.png
/usr/share/xine/skins/xine_splash.png
/usr/share/xine/skins/xinetic
%dir /usr/share/xine/visuals
/usr/share/xine/visuals/default.avi
/usr/share/applications/xine.desktop
/usr/share/xine/oxine
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/pixmaps/*
%_defaultdocdir/xine-ui
%doc %_mandir/*/man1/xine-bugreport.1.gz
%doc %_mandir/man1/xine-bugreport.1.gz
/usr/bin/xine-bugreport

%changelog
* Fri May 04 2007 - mhopf@suse.de
- Update to 0.99.5:
  * Included many patches upstream
  * Updated language translations.
  * Handle audio amp level event.
  * Further VDR keys added.
  * Harmonized appearance of non-skinned windows with more space
  * Shortcut keys unused in a particular window work transparent now,
  i.e. as configured by their key bindings
  * Added support for gnome screen saver
  * Fixes and improvements for appearance and behaviour
  * Video window: User magnification ignored and auto-resizing on new stream
  maintained in background if not in visible windowed mode.
  * Improved positioning of menu windows and menu navigation by keyboard
  * OSD improvements in xitk
  * followed freedesktop standards (desktop file and icons)
  * support gapless playback while switching streams (requires xine-lib >= 1.1.1)
  * Many additional fixes and enhancements ...
* Mon Jan 15 2007 - mhopf@suse.de
- Update of formatstrings security fix.
* Fri Jan 12 2007 - mhopf@suse.de
- Security: Fix multiple missing "%%s" formatstrings. #233516
* Wed Oct 11 2006 - mhopf@suse.de
- Fixed for building w/o automake.
- Spec file cleanup.
* Tue Oct 10 2006 - mhopf@suse.de
- Fixed detection of crippled package for general playback (mpeg2 + ffmpeg).
* Wed Sep 27 2006 - lnussel@suse.de
- build package separate from xine-lib
